part of 'widgets.dart';

abstract class ScreenWidget<T> extends Widget {
  const ScreenWidget({super.key});
}

abstract class ModelScreen<T> extends ModelWidget implements ScreenWidget<T> {
  const ModelScreen({super.key});
}

abstract class StatelessScreen<T> extends StatelessWidget
    with Template
    implements ScreenWidget<T> {
  const StatelessScreen({super.key});
}

abstract class StatefulScreen<T> extends StatefulWidget
    implements ScreenWidget<T> {
  const StatefulScreen({super.key});
}

abstract class ScreenState<T extends StatefulScreen> extends State<T>
    with Template {}
